ippeveprinter(1)

NOME
ippeveprinter - uma aplicação de impressão em-torno de ipp para cups

RESUMO
ippeveprinter [ --help ] [ --no-web-forms ] [ --pam-service service ] [ --version ] [ -2 ] [ -A ] [ -D device-uri ] [ -F output-type/subtype ] [ -K keypath ] [ -M manufacturer ] [ -P filename.ppd ] [ -V ipp-version ] [ -a filename.conf ] [ -c command ] [ -d spool-directory ] [ -f type/subtype[,...] ] [ -i iconfile.png ] [ -k ] [ -l location ] [ -m model ] [ -n hostname ] [ -p port ] [ -r subtype[,subtype] ] [ -s speed[,color-speed] ] [ -v[vvv] ] service-name

DESCRIÇÃO
ippeveprinter é um servidor simples de Internet Printing Protocol (IPP) em conformidade com a especificação IPP Everywhere (PWG 5100.14). Pode ser usado para testar software cliente ou actuar como um servidor de impressão muito básico que corre um comando para cada trabalho que é imprimido.

OPÇÕES
As seguintes opções são reconhecidas pelo ippeveprinte:

--help
    Mostra a utilização do programa.

--no-web-forms
    Desactiva os formulários da interface web usados para actualizar a média e níveis de suplementos.

--pam-service service
    Define o nome do serviço PAM. O serviço predefinido é "cups".

--version
    Mostra a versão do CUPS.

-2  Reporta suporte para impressão de dois-lados (duplex).

-A  Activa autenticação para a impressora criada. ippeveprinter usa PAM para autenticar credenciais HTTP Basic.

-D device-uri
    Define o URI de dispositivo para saída de impressão. O URI pode ser um nome de ficheiro, directório, ou um URI de socket de rede do formato "socket://ADDRESS[:PORT]" (onde o número de porto predefinido é 9100). Ao se especificar um directório, o ippeveprinter irá criar um ficheiro de saída usando o ID e nome do trabalho.

-F output-type/subtype[,...]
    Especifica o tipo de média MIME de saída. A predefinição é "application/postscript" quando a opção -P é especificada.

-M manufacturer
    Define o fabricante da impressora. A predefinição é "Example".

-P filename.ppd
    Carrega atributos de impressora a partir do ficheiro PPD especificado. Esta opção é usada tipicamente um conjunto com o comando de impressão ippeveps(7) ("-c ippeveps").

-V 1.1

-V 2.0
    Especifica a versão IPP máxima a reportar. A predefinição é 2.0.

-c command
    Corre o comando especificado para cada documento que é imprimido. Se "command" não for um caminho absoluto ("/caminho/para/comando"), o ippeveprinter procura o comando no sub-directório "command" do directório binário do CUPS, tipicamente /usr/lib/cups/command ou /usr/libexec/cups/command. O comando cups-config(1) pode ser usado para descobrir o directório binário correto ("cups-config --serverbin"). Adicionalmente, a variável de ambiente CUPS_SERVERBIN pode ser usada para sobrepor a localização predefinida deste directório - veja o manual do cups(1) para mais detalhes.

-d spool-directory
    Especifica o directório que irá manter os ficheiros de impressão. A predefinição é um directório sob o directório temporário actual do utilizador.

-f type/subtype[,...]
    Especifica uma lista de tipos de média MIME que o servidor irá aceitar. A predefinição depende do tipo de impressora criada.

-i iconfile.png
    Especifica o ficheiro de ícone da impressora para o servidor. O ficheiro tem de ser uma imagem de formato PNG. A predefinição é uma imagem PNG fornecida internamente.

-k  Mantém os documentos imprimidos no directório spool em vez de os apagar.

-l location
    Especifica a string de localização humanamente-legível que é reportada pelo servidor. A predefinição é uma string vazia.

-m model
    Especifica o nome de modelo da impressora. A predefinição é "Printer".

-n hostname
    Especifica o nome-de-máquina que é reportado pelo servidor. A predefinição é o nome retornado pelo comando hostname(1).

-p port
    Especifica o número de porto a escutar. A predefinição é um número específico-de-utilizador de 8000 até 8999.

-r off
    Desliga totalmente as propagandas do serviço DNS-SD.

-r subtype[,subtype]
    Especifica os sub-tipo(s) de DNS-SD a publicitar. Separe os vários sub-tipos com uma vírgula. A predefinição é "_print".

-s speed[,color-speed]
    Especifica a velocidade da impressora em páginas por minuto. Se forem especificados dois números e o segundo número for maior que zero, o servidor irá reportar o suporte para impressão a cores. A predefinição é "10,0".

-v[vvv]
    Fica (muito) detalhado quando regista atividade no erro standard.

ESTADO DE SAÍDA
O programa ippeveprinter retorna 1 se não for capaz de processar os argumentos de linha de comandos ou registar o serviço IPP. Caso contrário o ippeveprinter irá correr continuamente até que termine.

DE ACORDO COM
O programa ippeveprinter é único do CUPS e está em conformidade com a especificação IPP Everywhere (PWG 5100.14).

AMBIENTE
ippeveprinter adiciona variáveis de ambiente que começam com "IPP_" para todos os atributos de trabalho IPP no pedido de impressão. Por exemplo, quando executa um comando para um trabalho IPP que contém o atributo Job Template "media", a variável de ambiente "IPP_MEDIA" será definida para o valor desse atributo.

Adicionalmente, todos os atributos IPP "xxx-default" e "pwg-xxx" Printer Description são adicionados ao ambiente. Por exemplo, a variável de ambiente "IPP_MEDIA_DEFAULT" será definida para o valor predefinido para o atributo Job Template "media".

Valores numerados são convertidos para suas palavras chave equivalentes. Por exemplo, um atributo Job Template "print-quality" com um valor numérico de 3 irá tornar-se na variável de ambiente "IPP_PRINT_QUALITY" com o valor de "draft". Esta conversão de strings apenas acontece para atributos Job Template standard, actualmente "finishings", "orientation-requested", e "print-quality".

Finalmente, a variável de ambiente "CONTENT_TYPE" contém o tipo de média MIME do documento a ser imprimido, a variável de ambiente "DEVICE_URI" contém o URI do dispositivo como especificado com a opção "-D", a variável de ambiente "OUTPUT_FORMAT" contém o tipo de média MIME de saída e a variável de ambiente "PPD" contém o nome do ficheiro PPD como especificado com a opção "-P".

RESULTADO DO COMANDO
A menos que comuniquem directamente com uma impressora, os comandos de impressão enviam dados-prontos-para-impressora para a saída standard.

OS comandos de impressão podem enviar mensagens de volta ao ippeveprinter no erro standard com um dos seguintes prefixos:

ATTR: attribute=value[ attribute=value]
    Define os atributos(s) para os valores fornecidos. Actualmente apenas os atributos Job Status "job-impressions" e "job-impressions-completed" e os atributos Printer Status "marker-xxx", "printer-alert", "printer-alert-description", "printer-supply", e "printer-supply-description" podem ser definidos.

DEBUG: Debugging message
    Regista uma mensagem de depuração se pelo menos dois -v's foram especificados.

ERROR: Error message
    Regista uma mensagem de erro e copia a mensagem para o atributo "job-state-message".

INFO: Informational message
    Regista uma mensagem de informação/progresso se -v foi especificado e copia a mensagem para o atributo "job-state-message" a menos que um erro tenha sido reportado.

STATE: keyword[,keyword,...]
    Define o atributo "printer-state-reasons" da impressora para as palavras chave listadas.

STATE: -keyword[,keyword,...]
    Remove as palavras chave listadas do atributo "printer-state-reasons" da impressora.

STATE: +keyword[,keyword,...]
    Adiciona as palavras chave listadas ao atributo "printer-state-reasons" da impressora.

EXEMPLOS
Correr ippeveprinter com um nome de serviço de My Cool Printer:

    ippeveprinter "My Cool Printer"

Correr o comando file(1) sempre que um trabalho é enviado para o servidor:

    ippeveprinter -c /usr/bin/file "My Cool Printer"

VEJA TAMBÉM
ippevepcl(7), ippeveps(7), PWG Internet Printing Protocol Workgroup (http://www.pwg.org/ipp)

COPYRIGHT
Copyright © 2020-2024 by OpenPrinting.